Skip to main content
GET
/
1
/
burn_alerts
/
{datasetSlug}
List All Burn Alerts for an SLO
curl --request GET \
  --url https://api.honeycomb.io/1/burn_alerts/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
import requests

url = "https://api.honeycomb.io/1/burn_alerts/{datasetSlug}"

headers = {"X-Honeycomb-Team": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};

fetch('https://api.honeycomb.io/1/burn_alerts/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "fS7vfB81Wcy",
    "alert_type": "exhaustion_time",
    "description": "Use this runbook (link) if this alert fires.",
    "triggered": true,
    "exhaustion_minutes": 120,
    "slo": {
      "id": "2LBq9LckbcA"
    },
    "created_at": "2022-09-22T17:32:11Z",
    "updated_at": "2022-10-22T17:32:11Z"
  },
  {
    "id": "gT7wgC82Xcz",
    "alert_type": "budget_rate",
    "description": "Use this runbook (link) if this alert fires.",
    "triggered": true,
    "budget_rate_window_minutes": 60,
    "budget_rate_decrease_threshold_per_million": 1000,
    "slo": {
      "id": "2LBq9LckbcA"
    },
    "created_at": "2022-09-22T17:32:11Z",
    "updated_at": "2022-10-22T17:32:11Z"
  }
]
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}
{
"error": "Rate Limited"
}
{
"error": "<string>"
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Query Parameters

slo_id
string
required

For use with the list endpoint to retrieve all burn alerts for a specified SLO.

Response

Success

alert_type
enum<string>
default:exhaustion_time
required

One of the supported alert types:

  1. exhaustion_time: Notifies when you are about to run out of SLO budget within a specified number of hours.
  2. budget_rate: Notifies when budget drops by at least a specified percentage within a defined time window.
Available options:
exhaustion_time,
budget_rate
Example:

"exhaustion_time"

exhaustion_minutes
integer
required

Required when alert_type is exhaustion_time.

Must not be specified when alert_type is budget_rate.

Amount of time (in minutes) left until your projected SLO budget is exhausted. The alert will fire when this exhaustion threshold is reached.

Required range: x >= 0
Example:

120

id
string
read-only

Unique identifier (ID) of a Burn alert.

Example:

"fS7vfB81Wcy"

description
string

A description of the Burn Alert.

Maximum string length: 1023
Example:

"Use this runbook if this alert fires."

triggered
boolean
read-only

Indicates if the Burn Alert has been triggered. This field is read-only and is set to true when the alert is triggered.

Example:

false

created_at
string<date-time>
read-only

The ISO8601-formatted time when the Burn Alert was created.

Example:

"2022-09-22T17:32:11Z"

updated_at
string<date-time>
read-only

The ISO8601-formatted time when the Burn Alert was updated.

Example:

"2022-10-31T15:08:11Z"

auto_investigate
boolean
default:false

When true, Honeycomb will automatically start an investigation when this Burn Alert fires.

Example:

false

slo
object

Details about the SLO associated with the burn alert.

Example:
{ "id": "2LBq9LckbcA" }
Example:
[
{
"id": "fS7vfB81Wcy",
"alert_type": "exhaustion_time",
"description": "Use this runbook (link) if this alert fires.",
"triggered": true,
"exhaustion_minutes": 120,
"slo": { "id": "2LBq9LckbcA" },
"created_at": "2022-09-22T17:32:11Z",
"updated_at": "2022-10-22T17:32:11Z"
},
{
"id": "gT7wgC82Xcz",
"alert_type": "budget_rate",
"description": "Use this runbook (link) if this alert fires.",
"triggered": true,
"budget_rate_window_minutes": 60,
"budget_rate_decrease_threshold_per_million": 1000,
"slo": { "id": "2LBq9LckbcA" },
"created_at": "2022-09-22T17:32:11Z",
"updated_at": "2022-10-22T17:32:11Z"
}
]